| ICM45686 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

Files | Classes | Macros | Functions
Self-test

API to execute self-test procedure. More...

## Files
file | inv_imu_selftest.h

## Classes
struct | inv_imu_selftest_parameters_t
| Self-Test parameters. More...
struct | inv_imu_selftest_output_t
| Self-test outputs. More...

## Macros
#define | INV_IMU_ST_STATUS_SUCCESS 1
| Indicates test is successful. More...
#define | INV_IMU_ST_STATUS_FAIL -1
| Indicates test is failing. More...
#define | INV_IMU_ST_STATUS_NOT_RUN 0
| Indicates test has not run. More...

## Functions
int | inv_imu_selftest_init_params (inv_imu_device_t *s, inv_imu_selftest_parameters_t *st_params)
| Provide recommended parameters to execute self-test. More...
int | inv_imu_selftest (inv_imu_device_t *s, const inv_imu_selftest_parameters_t *st_params, inv_imu_selftest_output_t *st_output)
| Perform hardware self-test for Accel and/or Gyro. More...

## Detailed Description

API to execute self-test procedure.

## Macro Definition Documentation

## ◆ INV_IMU_ST_STATUS_FAIL

#define INV_IMU_ST_STATUS_FAIL -1

Indicates test is failing.

## ◆ INV_IMU_ST_STATUS_NOT_RUN

#define INV_IMU_ST_STATUS_NOT_RUN 0

Indicates test has not run.

## ◆ INV_IMU_ST_STATUS_SUCCESS

#define INV_IMU_ST_STATUS_SUCCESS 1

Indicates test is successful.

## Function Documentation

## ◆ inv_imu_selftest()

int inv_imu_selftest | ( | inv_imu_device_t * | s,
|  | const inv_imu_selftest_parameters_t * | st_params,
|  | inv_imu_selftest_output_t * | st_output
| ) |  |

Perform hardware self-test for Accel and/or Gyro.

Parameters

  [in] | s | Pointer to device.
  [in] | st_params | Self-test parameters to be used.
  [out] | st_output | Output from Self-test operation.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_selftest_init_params()

int inv_imu_selftest_init_params | ( | inv_imu_device_t * | s,
|  | inv_imu_selftest_parameters_t * | st_params
| ) |  |

Provide recommended parameters to execute self-test.

Parameters

  [in] | s | Pointer to device.
  [in] | st_params | Structure filled with recommended params.

Returns
  0 on success, negative value on error.